diff a/test/hotspot/jtreg/gc/stress/gcbasher/TestGCBasherWithShenandoah.java b/test/hotspot/jtreg/gc/stress/gcbasher/TestGCBasherWithShenandoah.java
--- a/test/hotspot/jtreg/gc/stress/gcbasher/TestGCBasherWithShenandoah.java
+++ b/test/hotspot/jtreg/gc/stress/gcbasher/TestGCBasherWithShenandoah.java
@@ -97,51 +97,10 @@
  * @run main/othervm/timeout=200 -Xlog:gc*=info -Xmx1g -XX:+UnlockDiagnosticVMOptions -XX:+UnlockExperimentalVMOptions
  *      -XX:+UseShenandoahGC -XX:ShenandoahGCHeuristics=compact
  *      gc.stress.gcbasher.TestGCBasherWithShenandoah 120000
  */
 
-/*
- * @test id=iu-aggressive
- * @key stress
- * @library /
- * @requires vm.gc.Shenandoah
- * @requires vm.flavor == "server" & !vm.emulatedClient
- * @summary Stress the Shenandoah GC by trying to make old objects more likely to be garbage than young objects.
- *
- * @run main/othervm/timeout=200 -Xlog:gc*=info -Xmx1g -XX:+UnlockDiagnosticVMOptions -XX:+UnlockExperimentalVMOptions
- *      -XX:+UseShenandoahGC -XX:ShenandoahGCMode=iu -XX:ShenandoahGCHeuristics=aggressive
- *      -XX:+ShenandoahOOMDuringEvacALot
- *      gc.stress.gcbasher.TestGCBasherWithShenandoah 120000
- *
- * @run main/othervm/timeout=200 -Xlog:gc*=info -Xmx1g -XX:+UnlockDiagnosticVMOptions -XX:+UnlockExperimentalVMOptions
- *      -XX:+UseShenandoahGC -XX:ShenandoahGCMode=iu -XX:ShenandoahGCHeuristics=aggressive
- *      -XX:+ShenandoahAllocFailureALot
- *      gc.stress.gcbasher.TestGCBasherWithShenandoah 120000
- *
- * @run main/othervm/timeout=200 -Xlog:gc*=info -Xmx1g -XX:+UnlockDiagnosticVMOptions -XX:+UnlockExperimentalVMOptions
- *      -XX:+UseShenandoahGC -XX:ShenandoahGCMode=iu -XX:ShenandoahGCHeuristics=aggressive
- *      gc.stress.gcbasher.TestGCBasherWithShenandoah 120000
- */
-
-/*
- * @test id=iu
- * @key stress
- * @library /
- * @requires vm.gc.Shenandoah
- * @requires vm.flavor == "server" & !vm.emulatedClient
- * @summary Stress the Shenandoah GC by trying to make old objects more likely to be garbage than young objects.
- *
- * @run main/othervm/timeout=200 -Xlog:gc*=info -Xmx1g -XX:+UnlockDiagnosticVMOptions -XX:+UnlockExperimentalVMOptions
- *      -XX:+UseShenandoahGC -XX:ShenandoahGCMode=iu
- *      -XX:+ShenandoahVerify
- *      gc.stress.gcbasher.TestGCBasherWithShenandoah 120000
- *
- * @run main/othervm/timeout=200 -Xlog:gc*=info -Xmx1g -XX:+UnlockDiagnosticVMOptions -XX:+UnlockExperimentalVMOptions
- *      -XX:+UseShenandoahGC -XX:ShenandoahGCMode=iu
- *      gc.stress.gcbasher.TestGCBasherWithShenandoah 120000
- */
-
 /*
  * @test id=passive-deopt-nmethod
  * @key stress
  * @library /
  * @requires vm.gc.Shenandoah
@@ -219,57 +178,10 @@
  *      -XX:+UseShenandoahGC -XX:ShenandoahGCHeuristics=compact
  *      -XX:+DeoptimizeNMethodBarriersALot -XX:-Inline
  *      gc.stress.gcbasher.TestGCBasherWithShenandoah 120000
  */
 
-/*
- * @test id=iu-aggressive-deopt-nmethod
- * @key stress
- * @library /
- * @requires vm.gc.Shenandoah
- * @requires vm.flavor == "server" & !vm.emulatedClient & vm.opt.ClassUnloading != false
- * @summary Stress Shenandoah GC with nmethod barrier forced deoptimization enabled.
- *
- * @run main/othervm/timeout=200 -Xlog:gc*=info,nmethod+barrier=trace -Xmx1g -XX:+UnlockDiagnosticVMOptions -XX:+UnlockExperimentalVMOptions
- *      -XX:+UseShenandoahGC -XX:ShenandoahGCMode=iu -XX:ShenandoahGCHeuristics=aggressive
- *      -XX:+DeoptimizeNMethodBarriersALot -XX:-Inline
- *      -XX:+ShenandoahOOMDuringEvacALot
- *      gc.stress.gcbasher.TestGCBasherWithShenandoah 120000
- *
- * @run main/othervm/timeout=200 -Xlog:gc*=info,nmethod+barrier=trace -Xmx1g -XX:+UnlockDiagnosticVMOptions -XX:+UnlockExperimentalVMOptions
- *      -XX:+UseShenandoahGC -XX:ShenandoahGCMode=iu -XX:ShenandoahGCHeuristics=aggressive
- *      -XX:+DeoptimizeNMethodBarriersALot -XX:-Inline
- *      -XX:+ShenandoahAllocFailureALot
- *      gc.stress.gcbasher.TestGCBasherWithShenandoah 120000
- *
- * @run main/othervm/timeout=200 -Xlog:gc*=info,nmethod+barrier=trace -Xmx1g -XX:+UnlockDiagnosticVMOptions -XX:+UnlockExperimentalVMOptions
- *      -XX:+UseShenandoahGC -XX:ShenandoahGCMode=iu -XX:ShenandoahGCHeuristics=aggressive
- *      -XX:+DeoptimizeNMethodBarriersALot -XX:-Inline
- *      gc.stress.gcbasher.TestGCBasherWithShenandoah 120000
- */
-
-/*
- * @test id=iu-deopt-nmethod
- * @key stress
- * @library /
- * @requires vm.gc.Shenandoah
- * @requires vm.flavor == "server" & !vm.emulatedClient & vm.opt.ClassUnloading != false
- * @summary Stress Shenandoah GC with nmethod barrier forced deoptimization enabled.
- *
- * @run main/othervm/timeout=200 -Xlog:gc*=info,nmethod+barrier=trace -Xmx1g -XX:+UnlockDiagnosticVMOptions -XX:+UnlockExperimentalVMOptions
- *      -XX:+UseShenandoahGC -XX:ShenandoahGCMode=iu
- *      -XX:+DeoptimizeNMethodBarriersALot -XX:-Inline
- *      -XX:+ShenandoahVerify
- *      gc.stress.gcbasher.TestGCBasherWithShenandoah 120000
- *
- * @run main/othervm/timeout=200 -Xlog:gc*=info,nmethod+barrier=trace -Xmx1g -XX:+UnlockDiagnosticVMOptions -XX:+UnlockExperimentalVMOptions
- *      -XX:+UseShenandoahGC -XX:ShenandoahGCMode=iu
- *      -XX:+DeoptimizeNMethodBarriersALot -XX:-Inline
- *      gc.stress.gcbasher.TestGCBasherWithShenandoah 120000
- */
-
-
 public class TestGCBasherWithShenandoah {
     public static void main(String[] args) throws IOException {
         TestGCBasher.main(args);
     }
 }
